/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2012.  All Rights Reserved.              |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */

command {
   
   name "addrepos"
   description "Adds an IM repository to the response file"
	 contexts "create", "edit"
	 
	 instance {	    	    
	    
	    invoke {
	    
	       def repos = arguments["repos"]
		   
		   def user = switches["-user"]?switches["-user"]["-user"]:null			
		   def password = switches["-password"]?switches["-password"]["-password"]:null
	       
	       def list = com.ibm.edp.rfe.model.ScriptList.getInstance()
	       def script = list.getCurrentScript()
	       
	       def serverConfig = script.getServerConfig() 	       

		   def prompter = new com.ibm.edp.rfe.console.query.QueryCredentialsPrompter(session)
		   def extra = [(serverConfig.PROPERTY_UID):user,(serverConfig.PROPERTY_PWD):password,(serverConfig.PROPERTY_PROMPTER): prompter]
		   serverConfig.addUrl(repos, extra)
	       	       
	       def result = com.ibm.edp.rfe.model.ModelUtil.openRepository(serverConfig, repos)
	       if(!result){
	          sprintln "[WARNING] Repository $repos is not connected"
	       }
	       	       	       
	       sprintln "Added repository to " + script.name + ":\n\t" + repos	 
		  }
	 }
	 
	 arguments {
	     "repos" {	        
	        datatype "text"
	        description "Enter IM Repository path"
	     }
	     
	    "-user" {
	        datatype "switch"
	        optional true
	        description "Specifies the user name to authenticate into the IM repository."          
          
				  "-user" {
				      description "Enter user name."
				  }	 	       
	     }	 	
	     
	     "-password" {
	        datatype "switch"
	        optional true
	        description "Specifies the password to authenticate into the IM repository."          
          
				  "-password" {
				      description "Enter password."
				  }	 	       
	     }	 	
	     	 	 	     	     
	 }	 
	 
}