/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2012.  All Rights Reserved.              |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
command {
   
   name "create"
   description "Create Installation Manager response file."
	 contexts "console"
	 
	 instance {	    
	    session {
	       
			def filename = arguments["filename"]
			if(!filename) filename = "untitled.response"
			 
			if ( !filename.endsWith(".response") ) {
				filename = filename + ".response"
			}
			 
			def list = com.ibm.edp.rfe.model.ScriptList.getInstance()
			 
			def script = list.getScript(filename)
			if(script){
				list.removeScript( script )
			}
			script = new com.ibm.edp.rfe.model.Script(name: filename)
			list.addScript( script )  			
			list.setCurrentScript( script )
			 
			sprintln "Response file will be written to " + script.name
	    }
	 }
	 
	 arguments {	     
	     filename {
	        datatype "filename"
	        optional true
	        description "Enter response file name."	        	        
	     }	     
	     
	 }
}