#!/bin/bash

pushd `dirname $0` > /dev/null
SCRIPTPATH=`pwd`
popd > /dev/null

ROOT=$SCRIPTPATH
IMDIR=im

if [ -d "$ROOT/$IMDIR" ] ; then
   IM_TOOLS="$ROOT/$IMDIR/tools"
   JAVA_HOME="$ROOT/$IMDIR/jre_6.0.0.sr9_20110208_03"
fi

if [ -z "$JAVA_HOME" ] ; then
   echo ERROR: JAVA_HOME is not set.
   exit
else
   if [ ! -x "$JAVA_HOME/jre/bin/java" ] ; then
      echo ERROR: $JAVA_HOME/jre/bin/java does not exist
      exit
   fi
fi

"$JAVA_HOME/jre/bin/java" -Xmx512m -cp plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar -Declipse.ignoreApp=true -Dosgi.noShutdown=true -Dim.tools.location=${IM_TOOLS} org.eclipse.equinox.launcher.Main -consoleLog $*

kill -SIGINT $$
exit